Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.transport
Class TransportFactory

    java.lang.Object
      org.uddi4j.transport.TransportFactory

public class TransportFactory
extends java.lang.Object

Factory to dynamically create a Transport implementation.

Author:
  David Melgar (dmelgar@us.ibm.com)

Field Summary
`static java.lang.String` | `DEFAULT_TRANSPORT_NAME`
`static java.lang.String` | `PROPERTY_NAME`

Method Summary
`Transport` | `getTransport()` Returns Transport implementation to be used.
`static TransportFactory` | `newInstance()` Create a TransportFactory.
`static TransportFactory` | `newInstance(java.util.Properties p)` Create a TransportFactory passing in configuration information in a properties object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### DEFAULT_TRANSPORT_NAME

    public static final java.lang.String DEFAULT_TRANSPORT_NAME

See Also:
  Constant Field Values

Method Detail

### getTransport

    public Transport getTransport()
                           throws TransportException

  Returns Transport implementation to be used. Transport is cached. Transport is dynamically loaded based on property org.uddi4j.transport.TransportClassName set as either a system property or in passed properties object. If this property is not set, the default transport is loaded.

  Returns:
    Transport
  Throws:
    `TransportException` - Thrown if transport class cannot be loaded.

### newInstance

    public static TransportFactory newInstance()

  Create a TransportFactory.

  Returns:
    TransportFactory

### newInstance

    public static TransportFactory newInstance(java.util.Properties p)

  Create a TransportFactory passing in configuration information in a properties object.

  Parameters:
    `p` - Properties
  Returns:
    TransportFactory
  See Also:
    `UDDIProxy(Properties) constructor for information on configuration object.`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.